#include "lanTools.h"

namespace lanTools {

#ifdef DEBUG_MEM

void *allocated_temp;
std::map<void*,std::pair<const char*,int>> allocated;

void print_unfreed_memory() {
  if (!allocated.empty()) {
    std::cerr << "Unfreed memories allocated:" << std::endl;
    for (auto &x: allocated) {
      std::cerr << " - in file " << x.second.first
                << " at line " << x.second.second << std::endl;
    }
  }
}

#endif // DEBUG_MEM

} // namespace lanTools
