#ifndef BLOCKEDGE_H
#define BLOCKEDGE_H

#include <map>
#include <cstdint>
#include "DLList.h"

namespace crispBis {

struct CrispBis;

struct BlockEdge : public std::map<float, size_t> {
  CrispBis *crispBisInst;
  BlockEdge *departingBlockEdge = nullptr;
  BlockEdge *sourceBlockEdge;

  BlockEdge *next = nullptr;
  BlockEdge *prev = nullptr;

  BlockEdge(CrispBis *inst = nullptr, BlockEdge *sbe = nullptr);
  void pushKey(float d);
  void popKey(float d);
  float maxKey();
};

} // namespace crispBis

#endif // BLOCKEDGE_H
