#ifndef EDGE_H
#define EDGE_H

#include <string>

namespace crispBis {

struct Vertex;
struct BlockEdge;

struct Edge
{
  size_t label;
  Vertex *origin, *destination;
  float degree;
  BlockEdge *blockEdge;

  Edge(size_t r, Vertex *x, Vertex *y, float d, BlockEdge *bE = nullptr);
  std::string str();
};

} // namespace crispBis

#endif // EDGE_H
