#ifndef SUPERPARTITION_H
#define SUPERPARTITION_H

#include <string>
#include "DLList.h"
#include "SuperBlock.h"

namespace crispBis {

struct SuperBlock;

struct SuperPartition {
  DLList<SuperBlock> *compoundSuperBlocks;
  DLList<SuperBlock> *simpleSuperBlocks;

  SuperPartition();
  ~SuperPartition();
  void addSuperBlock(SuperBlock *sb);
  std::string str();
};

} // namespace crispBis

#endif // SUPERPARTITION_H
